package sra.tim1;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.achartengine.ChartFactory;
import org.achartengine.chart.PointStyle;
import org.achartengine.renderer.XYMultipleSeriesRenderer;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.util.Log;
public class SalesGrowthChart1 extends AbstractDemoChart 
{
  public String getName() 
  {
    return "Population ";
  }
  public String getDesc() 
  {
    return "The Population growth across several years (time chart)";
  }
  public Intent execute(Context context) 
  {
    String[] titles = new String[] { "population growth January 1995 to December 1998" };
    List<Date[]> dates = new ArrayList<Date[]>();
    List<double[]> values = new ArrayList<double[]>();
    Date[] dateValues = new Date[] { 
    	new Date(95, 0, 1), new Date(95, 3, 1), new Date(96, 6, 1),
        new Date(96, 9, 1), new Date(97, 0, 1), new Date(97, 3, 1),
        new Date(98, 9, 1), new Date(98, 0, 1), new Date(99, 3, 1),
        new Date(99, 9, 1), new Date(100, 0, 1), new Date(100, 3, 1)      
         };
    dates.add(dateValues);
    values.add(new double[] { 1, 2, 3, 4, 5, 7, 8, 9, 10, 10.5, 5, 9});
    		/*, 3.2, 5.5,*/
        // /*4.6, 9.4, 4.3, 1.2, 0, 0.4, 4.5, 3.4,*//* 4.5, 4.3, 4 */});
    int[] colors = new int[] { Color.BLUE };
    PointStyle[] styles = new PointStyle[] { PointStyle.DIAMOND };
    XYMultipleSeriesRenderer renderer = buildRenderer(colors, styles);
    setChartSettings(renderer, "Population growth", "Date", "%", dateValues[0].getTime(),dateValues[dateValues.length - 1].getTime(), -4, 11, Color.GREEN, Color.RED);
    Log.w(" time ",dateValues[0].getTime()+"");
    renderer.setYLabels(10);
    return ChartFactory.getTimeChartIntent(context, buildDateDataset(titles, dates, values),renderer, "MMM yyy");
    
  }
}
